XAMPP 1.8.0 fastsette phpmyadmin etter oppgradering

Noen dager siden kom ut XAMPP 1.8.0 Etter oppgradering fra versjon 1.7.7 Jeg hadde en ganske interessant problem. Phpmyadmin ikke min åpning og izg″rmâvaše med 403

Tilgang forbudt!


Nye XAMPP sikkerhetskonsept:

Tilgang til det angitte objektet er bare tilgjengelig fra det lokale nettverket.

Denne innstillingen kan konfigureres i filen “httpd-xampp.conf”.

Nå jeg åpnet httpd-conf xampp å meg... ligger i the velge/lampp/etc/ekstra /, ved første øyekast, virket alt fint. Reglene for lokalnettet var fine. Bortsett fra at jeg ville åpne localhost. WTF ??? Jeg så på loggen og se at mitt kuttes av konfiguaciâta. Her ting allerede ahnaha meg og ærlig type litt flaks jeg fant problemet. След като преглеждах httpd.conf-а видях в Allow/Deny клаузите един последен ред Krever alle gitt. Oh til Eureka. Dette er ny kontroll mekanisme som inngått Apache 2.4.x. Det gir tilgang eller avslå slike alle fine, i utgangspunktet etterlignet tillate/avkrefte funksjonalitet :). За да поправим проблема добавяме Require all granted в директивите за папката /opt/lampp/phpmyadmin. Etter endringene i meg ser slik ut

<Directory “/velge/lampp/phpmyadmin”>
AllowOverride AuthConfig Limit
Bestill tillate,nekte
Tillat for alle
Krever alle gitt
</Directory>

 

Du kan alltid prøve en annen divoti, for eksempel vil gi nytt navn til mappen phpmyadmin noe annet og ikke alias til. Men det er stygg og ikke veldig meningsfylt 🙂

p. s stilte meg hvorfor jeg bruker XAMPP og ikke rent installasjon av alle komponenter som det er min Debian ble født – отговорът е много много простМЪРЗЕЛ. Мързи ме да напиша няколко команди после да си пипна конфовете и прочие. Доста по лесно е сваляш целия пакет разархивираш и палиш 😉

Forbedret lenker:

legg igjen et svar

Din epostadresse vil ikke bli publisert. Obligatoriske felt er merket *

Anti SPAM *